package de.fhdw.gaming.ipspiel22.vierGewinnt.domain.factory;

import de.fhdw.gaming.ipspiel22.vierGewinnt.domain.VGStrategy;
import de.fhdw.gaming.ipspiel22.vierGewinnt.moves.factory.VGMoveFactory;

/**
 * Represents a factory creating Vier gewinnt strategies.
 */
@FunctionalInterface
public interface VGStrategyFactory {
    /**
     * Creates a Vier gewinnt strategy.
     *
     * @param moveFactory The {@link VGMoveFactory} to use.
     * @return The Vier gewinnt strategy.
     */
    VGStrategy create(VGMoveFactory moveFactory);
}
